Subject: Re: [PATCH] [POWERPC] mpc5200: Allow for fixed speed MII configurations

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 01 May 2008 18:59:20 +0200

Grant Likely wrote:
> On Thu, May 1, 2008 at 10:38 AM, Wolfgang Grandegger <[email-masked]> wrote:
>> Hi Grant,
>>
>>
>>  Grant Likely wrote:
>>  > On Tue, Apr 29, 2008 at 5:06 PM, Grant Likely <[email-masked]> wrote:
>>  >> From: Grant Likely <[email-masked]>
>>  >>
>>  >>  Various improvements for configuring the MPC5200 MII link from the
>>  >>  device tree:
>>  >>  * Look for 'current-speed' property for fixed speed MII links
>>  >>  * Look for 'fsl,7-wire-mode' property for boards using the 7 wire mode
>>  >>  * move definition of private data structure out of the header file
>>  >>
>>  >>  Signed-off-by: Grant Likely <[email-masked]>
>>  >
>>  > Any more comments on this patch?  I want to push it to Paulus, but I'd
>>  > like to have someone ack it first.
>>  >
>>  > Wolfgang, you used the previous version of this patch.  Does this one
>>  > work for you?
>>
>>  Sorry for the late answer. The patch works fine (under Linux 2.6.24) on
>>  my board with a 3-port Micrel ethernet switch. There is still a minor
>>  issue, though:
>>
>>  >>  -               of_node_put(phy_dn);
>>  >>  +       /* Start with safe defaults for link connection */
>>  >>  +       priv->phy_addr = FEC5200_PHYADDR_NONE;
>>  >>  +       priv->speed = 100;
>>  >>  +       priv->duplex = 0;
>>
>>  priv->duplex is re-defined here. And instead of "0" we should use
>>  DUPLEX_HALF.
> 
> Oops,
> 
> Fixed.
> 
> If you reply with your 'acked-by' line, then I'll push this one to
> Paul so it can get into .26

Yes, of course. Add

  Acked-by: Wolfgang Grandegger <[email-masked]>

please.

Wolfgang.